/* MuSE - Multiple Streaming Engine
 * Copyright (C) 2000-2002 Denis Roio aka jaromil <jaromil@dyne.org>
 * This source code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Public License as published 
 * by the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 *
 * This source code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * Please refer to the GNU Public License for more details.
 *
 * You should have received a copy of the GNU Public License along with
 * this source code; if not, write to:
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __GUI_CALLBACKS_H__
#define __GUI_CALLBACKS_H__

#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Menu_Bar.H>
#include <FL/Fl_Button.H>
#include <FL/Fl_Group.H>
#include <FL/Fl_Input.H>
#include <FL/Fl_Choice.H>
#include <FL/Fl_Slider.H>
#include <FL/Fl_Output.H>
#include <FL/Fl_Browser.H>
#include <FL/Fl_Round_Button.H>

#include "jmixer.h"
#include "jsync.h"

void init_callbacks(Stream_mixer *mix, Amuse *gui);
void quit_mixer();
void signal_mixer();
void set_channel(Fl_Widget *o, void *ch, int song);
void cb_set_channel(Fl_Widget *o, void *ch);
void cb_set_channel_plus(Fl_Widget *o, void *ch);
void cb_set_channel_minus(Fl_Widget *o, void *ch);
void cb_play_channel(Fl_Widget *o, void *ch);
void cb_stop_channel(Fl_Widget *o, void *ch);
void cb_pause_channel(Fl_Widget *o, void *ch);
void cb_set_volume(Fl_Widget *o, void *ch);
void cb_set_speed(Fl_Widget *o, void *ch);
void cb_set_position(Fl_Widget *o, void *ch);
void cb_set_playmode(Fl_Widget *o, void *ch);
void cb_set_icecast(Fl_Widget *o);
void cb_set_talk(Fl_Widget *o);
void cb_set_linein(Fl_Widget *o);
void cb_set_lineout(Fl_Widget *o);
void cb_save_file(Fl_Widget *o);
void cb_pick_savefile(Fl_Widget *o);
void cb_pick_file(Fl_Widget *o, void *ch);
void cb_pick_url(Fl_Widget *o, void *ch);
void cb_filtering_choice(Fl_Widget *o);
void cb_open_info(Fl_Widget *o);
void cb_add(Fl_Widget *o);
void cb_remove(Fl_Widget *o);
void cb_view(Fl_Widget *o);
void cb_levels(Fl_Widget *o);

void gui_quit(Fl_Menu_* o, void* v);

#endif
