/* Amuse GUI
 * Copyright (C) 2000-2001 August Black <august@alien.mur.at>
 *
 * This source code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Public License as published 
 * by the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 *
 * This source code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * Please refer to the GNU Public License for more details.
 *
 * You should have received a copy of the GNU Public License along with
 * this source code; if not, write to:
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef Channel_h
#define Channel_h
#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Group.H>
#include <FL/Fl_Button.H>
#include <FL/Fl_Slider.H>
#include <FL/Fl_Output.H>
#include <FL/Fl_Select_Browser.H>
#include <FL/Fl_Round_Button.H>

class GuiChannel : public Fl_Group {
 public:
  GuiChannel(int x, int y, int w, int h, int z);
  ~GuiChannel();
  
  void upd(float val, int playmode, char *lcd);

  Fl_Button *stepback_button;
  Fl_Button *play_rev_button;
  Fl_Button *play_for_button;
  Fl_Button *pause_button;
  Fl_Button *stop_button;
  Fl_Button *goforward_button;
  Fl_Slider *timeline_slider;
  Fl_Output *name;
  Fl_Output *time;
  Fl_Slider *volume_slider;
  Fl_Slider *speed_slider;
  Fl_Select_Browser *playlist_browser;
  Fl_Button *pick_file_button;
  Fl_Button *pick_url_button;
  //Fl_Round_Button *continuous_button;

  bool fullsize;
  Fl_Button *resize_button;
  Fl_Button *playmode_button;
  Fl_Output *kiloherz;
  Fl_Output *bitrate;
  Fl_Output *mono_stereo;
  int id;

};
#endif
