#include <stdio.h>
#include <gui_extras.h>

Levels::Levels(int x, int y, int w, int h)
  : Fl_Group(x,y,w,h) {
  
  vumeter = new Fl_Dial(10,10,100,100);
  vumeter->type(FL_LINE_DIAL);
  vumeter->maximum(1000);
  vumeter->minimum(-1000);
  vumeter->step(1);
  vumeter->label("volume");
  vumeter->color(FL_GREEN);
  vumeter->value(0);

  bitrate = new Fl_Dial(10,140,100,100);
  bitrate->type(FL_LINE_DIAL);
  bitrate->minimum(0);
  bitrate->maximum(64000);
  bitrate->step(1);
  bitrate->color(FL_CYAN);
  bitrate->value(0);
  
  bitrate_txt = new Fl_Output(20,245,80,20);
  bitrate_txt->box(FL_BORDER_BOX);
  bitrate_txt->textfont(0);
  bitrate_txt->textsize(12);
  bitrate_txt->value("0 bit/s");
}

Levels::~Levels() { }

void Levels::set_bitrate(unsigned int bps) {
  snprintf(bps_str,32,"%u bit/s",bps);
  bitrate->value(bps);
  bitrate_txt->value(bps_str);
}
