/* Amuse GUI
 * Copyright (C) 2000-2001 August Black <august@alien.mur.at>
 *
 * This source code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Public License as published 
 * by the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 *
 * This source code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * Please refer to the GNU Public License for more details.
 *
 * You should have received a copy of the GNU Public License along with
 * this source code; if not, write to:
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef Amuse_h
#define Amuse_h

#include <FL/Fl.H>
#include <FL/Fl_Double_Window.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Menu_Button.H>
#include <FL/Fl_Button.H>
#include <FL/Fl_Light_Button.H>
#include <FL/Fl_Group.H>
#include <FL/Fl_Input.H>
#include <FL/Fl_Int_Input.H>
#include <FL/Fl_Output.H>
#include <FL/Fl_Choice.H>
#include <FL/fl_ask.H>
#include <FL/Fl_Tabs.H>
#include <FL/Fl_Box.H>
#include <FL/Fl_Value_Slider.H>
#include <FL/Fl_Help_Dialog.H>

#include <jsync.h>
#include <gui_channel.h>
#include <gui_extras.h>
#include <generic.h>
#include <config.h>

class Amuse: public Fl_Double_Window, public JSyncThread {

private:
  void cb_submenu_file_exit(Fl_Menu_*, void*);
  char muse_version[128];

public:
  Amuse(int w, int h, const char *title);
  ~Amuse();
  void run();
  void reshape();

  Fl_Window *conf_win;
  Fl_Double_Window *levels_win;
  Fl_Menu_Button *main_menu;

  Fl_Help_Dialog *infowindow;

  GuiChannel *chan[MAX_CHANNELS];
  Levels *levels;
  unsigned short level;

  Fl_Button *significalafica;
  Fl_Button *version;

  Fl_Input *ip_input;
  Fl_Int_Input *port_input;
  Fl_Input *mount_input;
  Fl_Input *pass_input;
  Fl_Input *description_input;
  Fl_Input *name_input;
  Fl_Input *url_input;

  Fl_Input *filesave_input;
  Fl_Button *filebrowse_button;
  Fl_Light_Button *filesave_button;

  Fl_Input *lowpassfreq_input;
  Fl_Input *highpassfreq_input;

  Fl_Output *status_main;
  Fl_Output *status_ice;
  Fl_Output *status_lame;
  Fl_Output *status_libshout;

  Fl_Choice *bitrate_choice;
  Fl_Choice *resample_choice;
  Fl_Choice *login_choice;
  Fl_Choice *channels_choice;
  Fl_Choice *filtering_choice;
  Fl_Value_Slider *quality_slide;

  Fl_Light_Button *talk_button;
  Fl_Light_Button *linein_button;
  Fl_Light_Button *lineout_button;
  Fl_Light_Button *connect_button;
  bool quit;
  int numch;
  int row;
  int col;
  int colwidth;
};
#endif
